packages that Depend/Recommend/Suggest firefox (meta-package) must alternatively Depend/Recommend/Suggest abrowser

Bug #272772 reported by Alexander Sack on 2008-09-21
2
Affects Status Importance Assigned to Milestone
adblock-plus (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
all-in-one-sidebar (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
amsn (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
beagle (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
biofox (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
classpath (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
ctxextensions (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
firefox-sage (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
firefox-showcase (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
flashblock (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
foxyproxy (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
gnome-chemistry-utils (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
greasemonkey (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
httrack (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
imagezoom (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
lastfm (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
libjibx-java (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
livehttpheaders (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
mediatomb (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
mozgest (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
mozilla-bonobo (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
mozilla-noscript (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
mozilla-stumbleupon (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
nip2 (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
nukeimage (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
openoffice.org (Ubuntu)
High
Chris Cheney
Intrepid
High
Chris Cheney
pcmanx-gtk2 (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
rapache (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
scrapbook (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
speeddial (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
stanford-pwdhash (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
tiemu (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
tilp (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
torbutton (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
tuxguitar (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
ubufox (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
ubuntu-docs (Ubuntu)
High
Unassigned
Intrepid
High
Unassigned
ubuntu-it-menu (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
useragentswitcher (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
venkman (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
webdeveloper (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
wmnetselect (Ubuntu)
High
Alexander Sack
Intrepid
High
Alexander Sack
wysihtml (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
xfig (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin
zekr (Ubuntu)
High
Fabien Tassin
Intrepid
High
Fabien Tassin

Bug Description

Binary package hint: firefox-3.0

Since abrowser ships its own meta package "abrowser" and there are a bunch of packages that directly depend/recommend/suggest the "firefox" meta package, we need to add abrowser as an alternative to all of them.

Related branches

Alexander Sack (asac) wrote :

updated intrepid yields the following list for apt-cache rdepends. we should go through it, identify which package needs to be updated and add a task for it here.

 apt-cache rdepends firefox
firefox
Reverse Depends:
  firefox-3.0
  firefox-3.0
  firefox-3.0
  firefox-3.0
 |ubufox
  firefox-3.0
  firefox-3.0
 |zekr
  tuxguitar
 |tiemu
  mythbuntu-desktop
 |libjibx-java-doc
  flashplugin-nonfree
  xubuntu-desktop
 |xfig-doc
 |wysihtml-el
 |wmnetselect
 |webhttrack
 |useragentswitcher
  ubuntustudio-desktop
 |torbutton-extension
 |tilp
 |speeddial
  screenlets
 |scrapbook
 |rapache
 |pwdhash
 |nip2
 |mozilla-venkman
 |mozilla-stumbleupon
 |mozilla-plugin-pcmanx
 |mozilla-openoffice.org
 |mozilla-nukeimage
 |mozilla-noscript
 |mozilla-livehttpheaders
 |mozilla-imagezoom
 |mozilla-gtk-vnc
  mozilla-firefox-locale-zu
  mozilla-firefox-locale-zh-tw
  mozilla-firefox-locale-zh-cn
  mozilla-firefox-locale-tr-tr
  mozilla-firefox-locale-sv-se
  mozilla-firefox-locale-sl-si
  mozilla-firefox-locale-sk
  mozilla-firefox-locale-ru-ru
  mozilla-firefox-locale-ro-ro
  mozilla-firefox-locale-pt-pt
  mozilla-firefox-locale-pt-br
  mozilla-firefox-locale-pl-pl
  mozilla-firefox-locale-pa-in
  mozilla-firefox-locale-nso
  mozilla-firefox-locale-nn-no
  mozilla-firefox-locale-nl-nl
  mozilla-firefox-locale-nb-no
  mozilla-firefox-locale-mn
  mozilla-firefox-locale-mk-mk
  mozilla-firefox-locale-lt
  mozilla-firefox-locale-ku
  mozilla-firefox-locale-ko
  mozilla-firefox-locale-ka-ge
  mozilla-firefox-locale-ja-jp
  mozilla-firefox-locale-it-it
  mozilla-firefox-locale-hu-hu
  mozilla-firefox-locale-he-il
  mozilla-firefox-locale-gu-in
  mozilla-firefox-locale-ga-ie
  mozilla-firefox-locale-fy-nl
  mozilla-firefox-locale-fr-fr
  mozilla-firefox-locale-fi-fi
  mozilla-firefox-locale-eu
  mozilla-firefox-locale-es-es
  mozilla-firefox-locale-es-ar
  mozilla-firefox-locale-en-gb
  mozilla-firefox-locale-el
  mozilla-firefox-locale-de-de
  mozilla-firefox-locale-da-dk
  mozilla-firefox-locale-cs-cz
  mozilla-firefox-locale-ca
  mozilla-firefox-locale-bg-bg
  mozilla-firefox-locale-be
  mozilla-firefox-locale-ar
  mozilla-firefox-locale-af
 |mozilla-ctxextensions
 |mozilla-bonobo
 |mozilla-biofox
  mozilla-beagle
 |mozgest
 |mediatomb
 |lastfm
  gosa-desktop
  gnome-do-plugins
 |gcu-plugin
 |gcjwebplugin
 |foxyproxy
 |flashblock
 |firefox-webdeveloper
 |firefox-ubuntu-it-menu
 |firefox-showcase
 |firefox-sage
 |firefox-greasemonkey
  firefox-2
  firefox-2
 |firebug
  education-desktop-other
 |amsn
 |all-in-one-sidebar
 |adblock-plus
  ubuntu-serverguide
  ubuntu-desktop
 |ubufox
 |openoffice.org
  hunspell-uz
  hunspell-ne
  hunspell-fr
  hunspell-eu-es
  hunspell-en-us
  hunspell-de-de
  hunspell-de-ch
  hunspell-de-at
  hunspell-da
  firefox-3.0
  firefox-3.0

Changed in firefox-3.0:
importance: Undecided → High
milestone: none → ubuntu-8.10
status: New → Confirmed
Volans (volans) wrote :

The list of packages that have "firefox" in the Depends or Recommends or Suggests lines is attached with all the lines that should be changed adding abrowser. (made with grep on the source packages)
If I can find some time later I will add for each package a task to that package in this bug.

Volans (volans) wrote :

New version of the list purged by the lines containing firefox* leaving only "firefox ", "firefox|" and "firefox$" ($ = endline)

Alexander Sack (asac) on 2008-09-21
Changed in ubufox:
assignee: nobody → asac
importance: Undecided → High
milestone: none → ubuntu-8.10
status: New → Triaged
Changed in adblock-plus:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in all-in-one-sidebar:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in amsn:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :

not a firefox-3.0 bug.

Changed in firefox-sage:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in firefox-showcase:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in firefox-3.0:
status: Confirmed → Invalid
Changed in greasemonkey:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in ubuntu-it-menu:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in webdeveloper:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in flashblock:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in foxyproxy:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) on 2008-09-21
Changed in gcjwebplugin:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in gnome-chemistry-utils:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in lastfm:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in libjibx-java:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in mediatomb:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in mozgest:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in beagle:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in biofox:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in mozilla-bonobo:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in ctxextensions:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in imagezoom:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) on 2008-09-21
Changed in livehttpheaders:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in mozilla-noscript:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in nukeimage:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in openoffice.org:
assignee: nobody → ccheney
importance: Undecided → High
status: New → Triaged
milestone: none → ubuntu-8.10
Changed in pcmanx-gtk2:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in mozilla-stumbleupon:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) on 2008-09-21
Changed in venkman:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in nip2:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in rapache:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in stanford-pwdhash:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in scrapbook:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in speeddial:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in tiemu:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in tilp:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in torbutton:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in tuxguitar:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in ubuntu-docs:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in useragentswitcher:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) on 2008-09-21
Changed in httrack:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in wmnetselect:
assignee: nobody → asac
importance: Undecided → High
status: New → Triaged
Changed in wysihtml:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in xfig:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Changed in zekr:
assignee: nobody → fta
importance: Undecided → High
status: New → Triaged
Alexander Sack (asac) wrote :
Changed in ubufox:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

it was suggested that we add a Provides: firefox to abrowser meta package. While this technically works, its not what we want. At some point firefox should provide a proper virtual package name, like firefox-compatible-browser, which should then be used by all firefox clones: iceweasel, abrowser, ....

until then we want to give abrowser the same level of importance and add it properly to all depends.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfig - 1:3.2.5-rel-2ubuntu2

---------------
xfig (1:3.2.5-rel-2ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 21:04:28 +0200

Changed in xfig:
status: Triaged → Fix Released
Alexander Sack (asac) on 2008-09-21
Changed in all-in-one-sidebar:
status: Triaged → Fix Committed
Fabien Tassin (fta) on 2008-09-21
Changed in xfig:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package biofox - 1.1.4-3ubuntu2

---------------
biofox (1.1.4-3ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Sun, 21 Sep 2008 21:22:32 +0200

Changed in biofox:
status: Triaged → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in adblock-plus:
status: Triaged → Fix Committed
Changed in beagle:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package adblock-plus - 0.7.5.4-0ubuntu3

---------------
adblock-plus (0.7.5.4-0ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 21:24:40 +0200

Changed in adblock-plus:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package beagle - 0.3.8-1ubuntu2

---------------
beagle (0.3.8-1ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 21:28:01 +0200

Changed in beagle:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package all-in-one-sidebar - 0.7.4-0ubuntu3

---------------
all-in-one-sidebar (0.7.4-0ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control
  * bump standards-version to 3.8.0
    - update debian/control
  * add Homepage: http://firefox.exxile.net/aios/
    - update debian/control

 -- Alexander Sack <email address hidden> Sun, 21 Sep 2008 21:16:14 +0200

Changed in all-in-one-sidebar:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in ctxextensions:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ctxextensions - 4.1.2008062001-0ubuntu2

---------------
ctxextensions (4.1.2008062001-0ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 21:52:43 +0200

Changed in ctxextensions:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in amsn:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amsn - 0.97.2~debian-0ubuntu3

---------------
amsn (0.97.2~debian-0ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 22:00:47 +0200

Changed in amsn:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in firefox-showcase:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-showcase - 0.9.4.6-0ubuntu1

---------------
firefox-showcase (0.9.4.6-0ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 22:05:13 +0200

Changed in firefox-showcase:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in flashblock:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashblock - 1.3.10a~snapshot20080611-0ubuntu2

---------------
flashblock (1.3.10a~snapshot20080611-0ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 22:08:48 +0200

Changed in flashblock:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in gcjwebplugin:
status: Triaged → Fix Committed
Fabien Tassin (fta) on 2008-09-21
Changed in greasemonkey:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package greasemonkey - 0.8.20080119.0-0ubuntu2

---------------
greasemonkey (0.8.20080119.0-0ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 22:28:48 +0200

Changed in greasemonkey:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in lastfm:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lastfm - 1:1.5.1.31879.dfsg-1ubuntu3

---------------
lastfm (1:1.5.1.31879.dfsg-1ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 22:32:49 +0200

Changed in lastfm:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in mediatomb:
status: Triaged → Fix Committed
Matthew East (mdke) wrote :

Fixed in ubuntu-docs bzr branch.

Changed in ubuntu-docs:
assignee: fta → nobody
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozilla-noscript - 1.6.9.3-1ubuntu2

---------------
mozilla-noscript (1.6.9.3-1ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 22:58:06 +0200

Changed in mozilla-noscript:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pcmanx-gtk2 - 0.3.7-3.1ubuntu3

---------------
pcmanx-gtk2 (0.3.7-3.1ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 23:02:15 +0200

Changed in pcmanx-gtk2:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rapache - 0.6-0ubuntu5

---------------
rapache (0.6-0ubuntu5) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 23:05:03 +0200

Changed in rapache:
status: Triaged → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in pcmanx-gtk2:
status: Fix Released → Fix Committed
Fabien Tassin (fta) on 2008-09-21
Changed in scrapbook:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package scrapbook - 1.3.2.5-2ubuntu4

---------------
scrapbook (1.3.2.5-2ubuntu4) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 23:16:45 +0200

Changed in scrapbook:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in pcmanx-gtk2:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tiemu - 2.00-4ubuntu2

---------------
tiemu (2.00-4ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 23:57:35 +0200

Changed in tiemu:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package torbutton - 1.0.4-3ubuntu2

---------------
torbutton (1.0.4-3ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Sun, 21 Sep 2008 23:59:50 +0200

Changed in torbutton:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package useragentswitcher - 0.6.11-0ubuntu2

---------------
useragentswitcher (0.6.11-0ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Mon, 22 Sep 2008 00:13:33 +0200

Changed in useragentswitcher:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package venkman - 0.9.87.4-2ubuntu2

---------------
venkman (0.9.87.4-2ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Mon, 22 Sep 2008 00:17:02 +0200

Changed in venkman:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wysihtml - 0.13-5ubuntu2

---------------
wysihtml (0.13-5ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Mon, 22 Sep 2008 00:18:51 +0200

Changed in wysihtml:
status: Triaged → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in xfig:
status: Fix Committed → Fix Released
Fabien Tassin (fta) on 2008-09-21
Changed in zekr:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package foxyproxy - 2.7.5-0ubuntu3

---------------
foxyproxy (2.7.5-0ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 02:26:42 +0200

Changed in foxyproxy:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-chemistry-utils - 0.8.6-1ubuntu4

---------------
gnome-chemistry-utils (0.8.6-1ubuntu4) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 02:28:58 +0200

Changed in gnome-chemistry-utils:
status: Triaged → Fix Released
Fabien Tassin (fta) on 2008-09-22
Changed in gcjwebplugin:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package imagezoom - 0.3.1-0ubuntu3

---------------
imagezoom (0.3.1-0ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 02:38:29 +0200

Changed in imagezoom:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livehttpheaders - 0.14-0ubuntu2

---------------
livehttpheaders (0.14-0ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 02:40:25 +0200

Changed in livehttpheaders:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozilla-bonobo - 0.4.2.1-7ubuntu1

---------------
mozilla-bonobo (0.4.2.1-7ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 02:42:49 +0200

Changed in mozilla-bonobo:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozgest - 1.9+svn115-0ubuntu4

---------------
mozgest (1.9+svn115-0ubuntu4) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 02:41:59 +0200

Changed in mozgest:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zekr - 0.5.1.dfsg-1ubuntu1

---------------
zekr (0.5.1.dfsg-1ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Mon, 22 Sep 2008 02:56:35 +0200

Changed in zekr:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozilla-stumbleupon - 3.18-0ubuntu2

---------------
mozilla-stumbleupon (3.18-0ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 02:49:32 +0200

Changed in mozilla-stumbleupon:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nip2 - 7.14.4-1build1ubuntu1

---------------
nip2 (7.14.4-1build1ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:02:42 +0200

Changed in nip2:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mediatomb - 0.11.0-3ubuntu1

---------------
mediatomb (0.11.0-3ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Fabien Tassin <email address hidden> Mon, 22 Sep 2008 03:04:05 +0200

Changed in mediatomb:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nukeimage - 0.3-8ubuntu1

---------------
nukeimage (0.3-8ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:05:05 +0200

Changed in nukeimage:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package httrack - 3.42.3-1ubuntu1

---------------
httrack (3.42.3-1ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:06:52 +0200

Changed in httrack:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package speeddial - 0.7.0.6-0ubuntu1

---------------
speeddial (0.7.0.6-0ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control
  * fix Vcs-Bzr header in control
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:09:54 +0200

Changed in speeddial:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webdeveloper - 1.1.6-3ubuntu2

---------------
webdeveloper (1.1.6-3ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control
  * add Vcs-Bzr header to control
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:20:33 +0200

Changed in webdeveloper:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-it-menu - 1.0.6.2-0ubuntu2

---------------
ubuntu-it-menu (1.0.6.2-0ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:15:52 +0200

Changed in ubuntu-it-menu:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-sage - 1.4.2-0ubuntu3

---------------
firefox-sage (1.4.2-0ubuntu3) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Sun, 21 Sep 2008 21:56:23 +0200

Changed in firefox-sage:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wmnetselect - 0.85-6ubuntu2

---------------
wmnetselect (0.85-6ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:33:24 +0200

Changed in wmnetselect:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tuxguitar - 1.0-1ubuntu1

---------------
tuxguitar (1.0-1ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:34:37 +0200

Changed in tuxguitar:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tilp - 6.80-5ubuntu2

---------------
tilp (6.80-5ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:38:14 +0200

Changed in tilp:
status: Triaged → Fix Released

I *really* need to unsubscribe from this list. I don't want to be on it
anymore and no matter what I do I keep getting emails. I have tried here
https://lists.ubuntu.com/mailman/listinfo/ubuntu-doc and that's not working.
Help please.

----- Original Message -----
From: "Launchpad Bug Tracker" <email address hidden>
To: <email address hidden>
Sent: Monday, September 22, 2008 11:35 AM
Subject: [Bug 272772] Re: packages that Depend/Recommend/Suggest
firefox(meta-package) must alternatively Depend/Recommend/Suggest abrowser

This bug was fixed in the package wmnetselect - 0.85-6ubuntu2

---------------
wmnetselect (0.85-6ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:33:24 +0200

** Changed in: tuxguitar (Ubuntu Intrepid)
       Status: Triaged => Fix Released

--
packages that Depend/Recommend/Suggest firefox (meta-package) must
alternatively Depend/Recommend/Suggest abrowser
https://bugs.launchpad.net/bugs/272772
You received this bug notification because you are a member of Ubuntu
Documentation Project Team, which is subscribed to ubuntu-docs in
ubuntu.

--------------------------------------------------------------------------------

No virus found in this incoming message.
Checked by AVG - http://www.avg.com
Version: 8.0.169 / Virus Database: 270.7.0/1683 - Release Date: 9/21/2008
10:10 AM

You and me buddy, +1 on the request, cause I've also tried with no
avail.

On Mon, 2008-09-22 at 02:32 +0000, Kendall Lederhose wrote:
> I *really* need to unsubscribe from this list. I don't want to be on it
> anymore and no matter what I do I keep getting emails. I have tried here
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-doc and that's not working.
> Help please.
>
>
> ----- Original Message -----
> From: "Launchpad Bug Tracker" <email address hidden>
> To: <email address hidden>
> Sent: Monday, September 22, 2008 11:35 AM
> Subject: [Bug 272772] Re: packages that Depend/Recommend/Suggest
> firefox(meta-package) must alternatively Depend/Recommend/Suggest abrowser
>
>
> This bug was fixed in the package wmnetselect - 0.85-6ubuntu2
>
> ---------------
> wmnetselect (0.85-6ubuntu2) intrepid; urgency=low
>
> * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
> (meta-package) must alternatively Depend/Recommend/Suggest abrowser
> - update debian/control
>
> -- Alexander Sack <email address hidden> Mon, 22 Sep 2008 03:33:24 +0200
>
> ** Changed in: tuxguitar (Ubuntu Intrepid)
> Status: Triaged => Fix Released
>
> --
> packages that Depend/Recommend/Suggest firefox (meta-package) must
> alternatively Depend/Recommend/Suggest abrowser
> https://bugs.launchpad.net/bugs/272772
> You received this bug notification because you are a member of Ubuntu
> Documentation Project Team, which is subscribed to ubuntu-docs in
> ubuntu.
>
>
> --------------------------------------------------------------------------------
>
>
> No virus found in this incoming message.
> Checked by AVG - http://www.avg.com
> Version: 8.0.169 / Virus Database: 270.7.0/1683 - Release Date: 9/21/2008
> 10:10 AM
>

Alexander Sack (asac) wrote :

Hi, this batch is mostly over. so no need to unsubscribe just because of this.

But it reaches a level of annoyance I'm not willing to accept. I monitor all the packages I maintain in Debian and if you have a transition on several packages, I get some hundred mails, whereas only a few are related to my packages (I call this *spam*). Sorry, but if this issue stays open in this bug tracker, I will sign off from launchpad and stop monitoring the problems of *your* users.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.6~b1-0ubuntu3

---------------
ubufox (0.6~b1-0ubuntu3) intrepid; urgency=low

  (cherry-pick rev 112 from lp:ubufox)
  * fix LP: #269656 - AN IRRELEVANT LICENSE IS PRESENTED TO YOU
    FREE-OF-CHARGE ON STARTUP; we backout the infamous firstrun feature
    (reverse apply rev 103)
    - update content/overlay.js
    - update defaults/preferences/ubufox.js
    - remove content/mozeula.html

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

  (cherry-pick rev 113 from lp:ubufox)
  * set all translations for startup.homepage_override_url and
    startup.homepage_welcome_url to about:blank; this prevents firstrun
    and milestone pages to appear
    - update locale/*/ubufox.properties

  (cherry-pick rev 114 from lp:ubufox)
  * HOMEPAGE_ONLINE now points to ubuntu 8.10 release startpage
    - update content/startpage.html

  (cherry-pick rev 115 from lp:ubufox)
  * dont make alternate plugin binding break flashblock; our
    bindings are not \!important anymore
    - update content/alternatePluginsBinding.css

 -- Alexander Sack <email address hidden> Tue, 23 Sep 2008 17:48:53 +0200

Changed in ubufox:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package stanford-pwdhash - 1.6-0ubuntu2

---------------
stanford-pwdhash (1.6-0ubuntu2) intrepid; urgency=low

  * Depend on abrowser as an alternative to the firefox metapackage
    (LP: #272772).

 -- Colin Watson <email address hidden> Tue, 14 Oct 2008 20:30:48 +0100

Changed in stanford-pwdhash:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libjibx-java - 1.0.1-2ubuntu2

---------------
libjibx-java (1.0.1-2ubuntu2) intrepid; urgency=low

  * Depend on abrowser as an alternative to the firefox metapackage
    (LP: #272772).

 -- Colin Watson <email address hidden> Tue, 14 Oct 2008 21:14:12 +0100

Changed in libjibx-java:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org - 1:2.4.1-11ubuntu1

---------------
openoffice.org (1:2.4.1-11ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian (r1195). Remaining changes:
    - Add Launchpad integration support.
    - Add Launchpad translations support.
    - Add package openoffice.org-style-human.
    - Add some Ubuntu-specific bitmaps. Adjust broffice diversions for these.
    - Add path to OOo SDK wrapper script.
    - Add suggests gstreamer to openoffice.org-impress.
    - Add support for compressing debs with lzma.
    - Add support for openjdk-6.
    - Add support for shared /usr/share/doc directories.
    - Add support to build l10n as a separate source.
    - Add support to build on lpia.
    - Add support to turn off building on sparc.
    - Add Xb-Npp-xxx tags according to "firefox distro add-on suport" spec.
    - Set template.desktop to not display in the menu.
    - Use imagemagick instead of graphicsmagick.
  * Resynchronise with ooo-build-2-4-1 (r14314).
  * Add ooo-build/patches/src680/config_office-openjdk-paths.diff to correct
    java build problems. Closes LP: #273268
  * Add shared-mime-info mimetype file. Closes LP: #228770
  * Add support for abrowser. Closes LP: #272772
  * Disable java on powerpc due to cacao being broken.
  * Merge debian-2-4-1 changes into ooo-build-2-4-1.

 -- Chris Cheney <email address hidden> Tue, 14 Oct 2008 23:55:39 -0500

Changed in openoffice.org:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-docs - 8.10.2

---------------
ubuntu-docs (8.10.2) intrepid; urgency=low

  * Updating translations from Launchpad as at 19 Oct 08 (LP: #286829)
  * Small update to Hebrew translation of browser startpage (LP: #285696)
  * To save CD space, only ship translations which are over 75% translated

ubuntu-docs (8.10.1) intrepid; urgency=low

  * Add ukranian translation of firefox homepage (LP: #216982)
  * Correct wrong codename in basic-commands document (LP: #281664)

ubuntu-docs (8.09.2) intrepid; urgency=low

  * ubuntu-serverguide should suggest www-browser and not firefox (LP: #272772)

ubuntu-docs (8.09.1) intrepid; urgency=low

  * about-ubuntu validity fix (LP: #255088)
  * various text updates (LP: #238661, LP: #14425, LP: #248283, LP: #215025)
  * hebrew startpage improvement (LP: #220780)

 -- Matthew East <email address hidden> Sun, 19 Oct 2008 20:21:13 +0100

Changed in ubuntu-docs:
status: Fix Committed → Fix Released
no longer affects: firefox-3.0 (Ubuntu Intrepid)
no longer affects: firefox-3.0 (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers